Subject: Re: [PATCH 3/6] Consolidate of_find_property

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 26 Apr 2007 08:16:44 +1000

On Wed, 2007-04-25 at 18:46 +0100, Matt Sealey wrote:

> Can't the ata/ATA thing be fixed by simply fixing device trees where it
> happens? strncmp seems the standards-compliant route to take.. why clutter
> the common parsing routines with fixes for deviant platforms?

In that specific case, it's even fixed by having the driver have both
spellings in it's match list.

> The Mac obviously has a few of_platform things where you can add a
> compatible search for ata then ATA, keeping it all in the drivers (where
> relevant) and in the platform setup (where necessary)

The main problem with dropping case insensitive comparison is finding
all the other cases of broken device-trees and make sure we have
appropriate workarounds. I don't have access to all of the old apple
machines (though I have access to a quite nice sample of them) and I
generally dislike breaking something that works :-)

But I agree that in the long run, it's a better approach

Ben.